
------------------------------------
NX
------------------------------------

CREATE TABLE Employees
(emp_id     CHAR(8) PRIMARY KEY,
 emp_name   VARCHAR(32),
 dept_id    CHAR(2));

CREATE TABLE Departments
(dept_id    CHAR(2) PRIMARY KEY,
 dept_name  VARCHAR(32));


DELETE FROM Employees ;
INSERT INTO Employees VALUES('001',	'Γc',	  '10');
INSERT INTO Employees VALUES('002',	'}', '11');
INSERT INTO Employees VALUES('003',	'Ė',	  '11');
INSERT INTO Employees VALUES('004',	'ēc',	  '12');
INSERT INTO Employees VALUES('005',	'{',	  '12');
INSERT INTO Employees VALUES('006',	'␣',	  '12');

DELETE FROM Departments;
INSERT INTO Departments VALUES('10',	'');
INSERT INTO Departments VALUES('11',	'l');
INSERT INTO Departments VALUES('12',	'J');
INSERT INTO Departments VALUES('13',	'c');

--NX
SELECT *
  FROM Employees CROSS JOIN Departments;



------------------------------------

------------------------------------

--
SELECT E.emp_id, E.emp_name, E.dept_id, D.dept_name 
  FROM Employees E INNER JOIN Departments D
    ON E.dept_id = D.dept_id;

--ƓlȑփTuNG
SELECT E.emp_id, E.emp_name, E.dept_id, 
       (SELECT D.dept_name 
          FROM Departments D
         WHERE E.dept_id = D.dept_id) AS dept_name
  FROM Employees E;


--FÂ\
SELECT E.emp_id, E.emp_name, E.dept_id, D.dept_name 
  FROM Employees E, Departments D
 WHERE E.dept_id = D.dept_id;


------------------------------------
O
------------------------------------

--EȌꍇiẼe[u}X^j
SELECT E.emp_id, E.emp_name, D.dept_id, D.dept_name 
  FROM Employees E RIGHT OUTER JOIN Departments D
    ON E.dept_id = D.dept_id;

--Ȍꍇĩe[u}X^j
SELECT E.emp_id, E.emp_name, E.dept_id, D.dept_name 
  FROM Departments D LEFT OUTER JOIN Employees E
    ON E.dept_id = D.dept_id;

--OFOracleˑ
SELECT E.emp_id, E.emp_name, E.dept_id, D.dept_name 
  FROM Employees E, Departments D
 WHERE E.dept_id (+) = D.dept_id;


------------------------------------
Ȍ
------------------------------------

CREATE TABLE Digits
 (digit INTEGER PRIMARY KEY); 

INSERT INTO Digits VALUES (0);
INSERT INTO Digits VALUES (1);
INSERT INTO Digits VALUES (2);
INSERT INTO Digits VALUES (3);
INSERT INTO Digits VALUES (4);
INSERT INTO Digits VALUES (5);
INSERT INTO Digits VALUES (6);
INSERT INTO Digits VALUES (7);
INSERT INTO Digits VALUES (8);
INSERT INTO Digits VALUES (9);



--Ȍ + NX
SELECT D1.digit + (D2.digit * 10)  AS seq
  FROM Digits D1 CROSS JOIN Digits D2;

